Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class ReceiverAspect

    java.lang.Object
      org.jboss.jms.client.container.ReceiverAspect

public class ReceiverAspect
extends java.lang.Object

This aspect handles receive functionality for a message consumer This aspect is PER_VM.

Version:
  `$Revision: 1.10 $` $Id: ReceiverAspect.java,v 1.10 2006/03/02 17:29:36 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`ReceiverAspect()`

Method Summary
`MessageListener` | `handleGetMessageListener(Invocation invocation)`
`java.lang.Object` | `handleReceive(Invocation invocation)`
`java.lang.Object` | `handleReceiveNoWait(Invocation invocation)`
`java.lang.Object` | `handleSetMessageListener(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiverAspect

    public ReceiverAspect()

Method Detail

### handleReceive

    public java.lang.Object handleReceive(Invocation invocation)
                                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleReceiveNoWait

    public java.lang.Object handleReceiveNoWait(Invocation invocation)
                                         throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleSetMessageListener

    public java.lang.Object handleSetMessageListener(Invocation invocation)
                                              throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetMessageListener

    public MessageListener handleGetMessageListener(Invocation invocation)
                                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.